## org.exist.xmldb.test
Class TreeLevelOrderTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xmldb.test.TreeLevelOrderTest

All Implemented Interfaces:
  junit.framework.Test

public class TreeLevelOrderTest
extends junit.framework.TestCase

Tests the TreeLevelOrder function.

Version:
  1.0
Author:
  Tobias Wunden

Constructor Summary
`TreeLevelOrderTest()`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testTreeLevelOrder()` Test for the TreeLevelOrder function.
`static java.lang.String` `textContent(org.w3c.dom.Node n)`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TreeLevelOrderTest

    public TreeLevelOrderTest()

Method Detail

### main

    public static void main(java.lang.String[] args)

### textContent

    public static java.lang.String textContent(org.w3c.dom.Node n)

### testTreeLevelOrder

    public final void testTreeLevelOrder()

  Test for the TreeLevelOrder function. This test
  - Registers a database instance
  - Writes a document to the database using the XQueryService
  - Reads the document from the database using XmlDB
  - Accesses the document using DOM

Copyright (C) Wolfgang Meier. All rights reserved.